﻿Imports Infragistics.Win.UltraWinGrid

Public Class Form1

    Private Sub UltraGrid1_InitializeLayout(sender As System.Object, e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraGrid1.InitializeLayout

        Dim summary = e.Layout.Bands(2).Summaries.Add(SummaryType.Sum, e.Layout.Bands(2).Columns(3))
        summary.DisplayFormat = "{0:#,##0.00}" '(this removes the "Sum=" and formats the number displayed)

        summary = e.Layout.Bands(2).Summaries.Add("Summary Title", SummaryType.External, e.Layout.Bands(2).Columns(2))
        summary.DisplayFormat = "{0}" '(this removes the "Sum=")

        e.Layout.Rows.ExpandAll(True)
    End Sub

    Private Sub UltraGrid1_ExternalSummaryValueRequested(sender As System.Object, e As Infragistics.Win.UltraWinGrid.ExternalSummaryValueEventArgs) Handles UltraGrid1.ExternalSummaryValueRequested
        If e.SummaryValue.Key = "Summary Title" Then
            Select Case e.SummaryValue.ParentRows.ParentRow.Cells(0).Text
                Case "Currency"
                    e.SummaryValue.SetExternalSummaryValue("Total for Currency")
                Case "GBP"
                    e.SummaryValue.SetExternalSummaryValue("Total for GBP")
            End Select
        End If
    End Sub
End Class
